# installer script for Mimaki Simple Studio
# 2016 foo.li systeme + software

$packageName	= 'mimaki-simple-studio'
$version        = '2.10'
$internal       = '2.10'
$installerType	= 'MSI'
$silentArgs     = '/qb'
$validExitCodes	= @(0,1,3010)
$packageSearch  = 'Simple Studio*'

#check if file is present on share
$strFileName='\\unxfsv001\software\nonfree\m\mimaki\SimpleStudio\2.10\En\Simple Studio 2.10.msi'
if (Test-Path $strFileName){
    Write-Host 'File found on internal share'
    $url = $strFileName
    $url64 = $url
} else {
    Write-Warning 'This is nonfree software and not available free to download.'
    Write-Warning 'This package is only for foo.li internal use'
   throw 'package is only for foo.li internal use.'
}

$app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*')`
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
     
#if ($app -and ([version]$app.DisplayVersion -ge [version]$internal)) {
if ($app -and ($app.DisplayVersion -ge $internal)) {
    Write-Output $(
    'Mimaki Simple Studio' + $app.DisplayVersion + ' is already installed. ' +
    'No need to install again. Otherwise please remove first.'
    )
} else {
    try {
        #Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64" -validExitCodes $validExitCodes
        $urlquoted = '"' + $url + '"'
        Write-Host 'starting setup...this may take some time'
        (Start-Process -FilePath "msiexec" -ArgumentList "/i $urlquoted $silentArgs" -Verb runAs -Wait -Passthru).ExitCode
    } catch {
        throw $_.Exception
    }
}